%define tag         91f70382beeb58b32432b5a82da3802e4c19199c
%define gitdate     20240908
%define camelname   OndselSolver

%define major       1
%define libname     %mklibname %{name} %{major}
%define devname     %mklibname %{name} -d

Name:           ondselsolver
Version:        0.0
Release:        %mkrel %{?gitdate:0.git%{gitdate}.}2
Summary:        Assembly Constraints and Multibody Dynamics code
Group:          System/Libraries

License:        LGPL-2.1
URL:            https://github.com/Ondsel-Development/OndselSolver
Source0:        https://github.com/Ondsel-Development/OndselSolver/archive/%{tag}.tar.gz
Patch0:         0001-add-include-files.patch
BuildRequires:  gcc
BuildRequires:  cmake

%description
Assembly Constraints and Multibody Dynamics code
Used by FreeCAD.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        -n %{libname}
Summary:        Assembly Constraints and Multibody Dynamics code
Group:          System/Libraries

%description    -n %{libname}
Assembly Constraints and Multibody Dynamics code
Used by FreeCAD.


%prep
%autosetup -n %{camelname}-%{tag} -p1

%build
%cmake -DCMAKE_INSTALL_DATAROOTDIR=%{_libdir}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/OndselSolver.pc


%changelog
* Mon Nov 04 2024 daviddavid <daviddavid> 0.0-0.git20240908.2.mga10
+ Revision: 2112382
- install pkgconfig file into "/usr/lib(64)/pkgconfig/"
- mageiaify spec file

* Sat Nov 02 2024 papoteur <papoteur> 0.0-0.git20240908.1.mga10
+ Revision: 2112202
- imported package ondselsolver

